Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers
Class DriverManager

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.DriverManager

public class DriverManager
extends java.lang.Object

Manages driver set.

Field Summary
`static java.lang.String` | `BUTTON_DRIVER_ID` Symbolic constant for button drivers.
`static java.lang.String` | `DRIVER_ID` Symbolic constant - prefix for drivers names.
`static java.lang.String` | `FOCUS_DRIVER_ID` Symbolic constant for frame drivers.
`static java.lang.String` | `FRAME_DRIVER_ID` Symbolic constant for window drivers.
`static java.lang.String` | `INTERNAL_FRAME_DRIVER_ID` Symbolic constant for window drivers.
`static java.lang.String` | `KEY_DRIVER_ID` Symbolic constant for key drivers.
`static java.lang.String` | `LIST_DRIVER_ID` Symbolic constant for list drivers.
`static java.lang.String` | `MENU_DRIVER_ID` Symbolic constant for menu drivers.
`static java.lang.String` | `MOUSE_DRIVER_ID` Symbolic constant for mouse drivers.
`static java.lang.String` | `MULTISELLIST_DRIVER_ID` Symbolic constant for multiselection list drivers.
`static java.lang.String` | `ORDEREDLIST_DRIVER_ID` Symbolic constant for reorderable list drivers.
`static java.lang.String` | `SCROLL_DRIVER_ID` Symbolic constant for scroll drivers.
`static java.lang.String` | `TABLE_DRIVER_ID` Symbolic constant for table drivers.
`static java.lang.String` | `TEXT_DRIVER_ID` Symbolic constant for text drivers.
`static java.lang.String` | `TREE_DRIVER_ID` Symbolic constant for tree drivers.
`static java.lang.String` | `WINDOW_DRIVER_ID` Symbolic constant for window drivers.

Method Summary
`static ButtonDriver` | `getButtonDriver(java.lang.Class operatorClass)` Returns `BUTTON_DRIVER_ID` driver.
`static ButtonDriver` | `getButtonDriver(ComponentOperator operator)` Returns `BUTTON_DRIVER_ID` driver.
`static java.lang.Object` | `getDriver(java.lang.String id, java.lang.Class operatorClass)` Searches a driver.
`static java.lang.Object` | `getDriver(java.lang.String id, java.lang.Class operatorClass, JemmyProperties props)` Searches a driver.
`static java.lang.Object` | `getDriver(java.lang.String id, ComponentOperator operator)` Searches a driver.
`static FocusDriver` | `getFocusDriver(java.lang.Class operatorClass)` Returns `FOCUS_DRIVER_ID` driver.
`static FocusDriver` | `getFocusDriver(ComponentOperator operator)` Returns `FOCUS_DRIVER_ID` driver.
`static FrameDriver` | `getFrameDriver(java.lang.Class operatorClass)` Returns `FRAME_DRIVER_ID` driver.
`static FrameDriver` | `getFrameDriver(ComponentOperator operator)` Returns `FRAME_DRIVER_ID` driver.
`static InternalFrameDriver` | `getInternalFrameDriver(java.lang.Class operatorClass)` Returns `INTERNAL_FRAME_DRIVER_ID` driver.
`static InternalFrameDriver` | `getInternalFrameDriver(ComponentOperator operator)` Returns `INTERNAL_FRAME_DRIVER_ID` driver.
`static KeyDriver` | `getKeyDriver(java.lang.Class operatorClass)` Returns `KEY_DRIVER_ID` driver.
`static KeyDriver` | `getKeyDriver(ComponentOperator operator)` Returns `KEY_DRIVER_ID` driver.
`static ListDriver` | `getListDriver(java.lang.Class operatorClass)` Returns `LIST_DRIVER_ID` driver.
`static ListDriver` | `getListDriver(ComponentOperator operator)` Returns `LIST_DRIVER_ID` driver.
`static MenuDriver` | `getMenuDriver(java.lang.Class operatorClass)` Returns `MENU_DRIVER_ID` driver.
`static MenuDriver` | `getMenuDriver(ComponentOperator operator)` Returns `MENU_DRIVER_ID` driver.
`static MouseDriver` | `getMouseDriver(java.lang.Class operatorClass)` Returns `MOUSE_DRIVER_ID` driver.
`static MouseDriver` | `getMouseDriver(ComponentOperator operator)` Returns `MOUSE_DRIVER_ID` driver.
`static MultiSelListDriver` | `getMultiSelListDriver(java.lang.Class operatorClass)` Returns `MULTISELLIST_DRIVER_ID` driver.
`static MultiSelListDriver` | `getMultiSelListDriver(ComponentOperator operator)` Returns `MULTISELLIST_DRIVER_ID` driver.
`static OrderedListDriver` | `getOrderedListDriver(java.lang.Class operatorClass)` Returns `ORDEREDLIST_DRIVER_ID` driver.
`static OrderedListDriver` | `getOrderedListDriver(ComponentOperator operator)` Returns `ORDEREDLIST_DRIVER_ID` driver.
`static ScrollDriver` | `getScrollDriver(java.lang.Class operatorClass)` Returns `SCROLL_DRIVER_ID` driver.
`static ScrollDriver` | `getScrollDriver(ComponentOperator operator)` Returns `SCROLL_DRIVER_ID` driver.
`static TableDriver` | `getTableDriver(java.lang.Class operatorClass)` Returns `TABLE_DRIVER_ID` driver.
`static TableDriver` | `getTableDriver(ComponentOperator operator)` Returns `TABLE_DRIVER_ID` driver.
`static TextDriver` | `getTextDriver(java.lang.Class operatorClass)` Returns `TEXT_DRIVER_ID` driver.
`static TextDriver` | `getTextDriver(ComponentOperator operator)` Returns `TEXT_DRIVER_ID` driver.
`static TreeDriver` | `getTreeDriver(java.lang.Class operatorClass)` Returns `TREE_DRIVER_ID` driver.
`static TreeDriver` | `getTreeDriver(ComponentOperator operator)` Returns `TREE_DRIVER_ID` driver.
`static WindowDriver` | `getWindowDriver(java.lang.Class operatorClass)` Returns `WINDOW_DRIVER_ID` driver.
`static WindowDriver` | `getWindowDriver(ComponentOperator operator)` Returns `WINDOW_DRIVER_ID` driver.
`static void` | `removeDriver(java.lang.String id, java.lang.Class operatorClass)` Removes driver for operator class.
`static void` | `removeDriver(java.lang.String id, java.lang.Class[] operatorClasses)` Removes driver for operator classes.
`static void` | `removeDriver(java.lang.String id, java.lang.String operatorClassName)` Removes driver for operator class.
`static void` | `removeDriver(java.lang.String id, java.lang.String[] operatorClassNames)` Removes driver for operator classes.
`static void` | `removeDrivers(java.lang.String id)` Removes driver for all supported classes.
`static void` | `setButtonDriver(ButtonDriver driver)` Defines `BUTTON_DRIVER_ID` driver.
`static void` | `setDriver(java.lang.String id, Driver driver)` Sets driver for all classes supported by driver.
`static void` | `setDriver(java.lang.String id, LightDriver driver)` Sets driver for all classes supported by driver.
`static void` | `setDriver(java.lang.String id, java.lang.Object driver, java.lang.Class operatorClass)` Sets driver for an operator class.
`static void` | `setDriver(java.lang.String id, java.lang.Object driver, java.lang.String operatorClassName)` Sets driver for an operator class name.
`static void` | `setFocusDriver(FocusDriver driver)` Defines `FOCUS_DRIVER_ID` driver.
`static void` | `setFrameDriver(FrameDriver driver)` Defines `FRAME_DRIVER_ID` driver.
`static void` | `setInternalFrameDriver(InternalFrameDriver driver)` Defines `INTERNAL_FRAME_DRIVER_ID` driver.
`static void` | `setKeyDriver(KeyDriver driver)` Defines `KEY_DRIVER_ID` driver.
`static void` | `setListDriver(ListDriver driver)` Defines `LIST_DRIVER_ID` driver.
`static void` | `setMenuDriver(MenuDriver driver)` Defines `MENU_DRIVER_ID` driver.
`static void` | `setMouseDriver(MouseDriver driver)` Defines `MOUSE_DRIVER_ID` driver.
`static void` | `setMultiSelListDriver(MultiSelListDriver driver)` Defines `MULTISELLIST_DRIVER_ID` driver.
`static void` | `setOrderedListDriver(OrderedListDriver driver)` Defines `ORDEREDLIST_DRIVER_ID` driver.
`static void` | `setScrollDriver(ScrollDriver driver)` Defines `SCROLL_DRIVER_ID` driver.
`static void` | `setTableDriver(TableDriver driver)` Defines `TABLE_DRIVER_ID` driver.
`static void` | `setTextDriver(TextDriver driver)` Defines `TEXT_DRIVER_ID` driver.
`static void` | `setTreeDriver(TreeDriver driver)` Defines `TREE_DRIVER_ID` driver.
`static void` | `setWindowDriver(WindowDriver driver)` Defines `WINDOW_DRIVER_ID` driver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DRIVER_ID

    public static final java.lang.String DRIVER_ID

  Symbolic constant - prefix for drivers names.

### TREE_DRIVER_ID

    public static final java.lang.String TREE_DRIVER_ID

  Symbolic constant for tree drivers.

### TEXT_DRIVER_ID

    public static final java.lang.String TEXT_DRIVER_ID

  Symbolic constant for text drivers.

### KEY_DRIVER_ID

    public static final java.lang.String KEY_DRIVER_ID

  Symbolic constant for key drivers.

### MOUSE_DRIVER_ID

    public static final java.lang.String MOUSE_DRIVER_ID

  Symbolic constant for mouse drivers.

### SCROLL_DRIVER_ID

    public static final java.lang.String SCROLL_DRIVER_ID

  Symbolic constant for scroll drivers.

### BUTTON_DRIVER_ID

    public static final java.lang.String BUTTON_DRIVER_ID

  Symbolic constant for button drivers.

### LIST_DRIVER_ID

    public static final java.lang.String LIST_DRIVER_ID

  Symbolic constant for list drivers.

### MULTISELLIST_DRIVER_ID

    public static final java.lang.String MULTISELLIST_DRIVER_ID

  Symbolic constant for multiselection list drivers.

### ORDEREDLIST_DRIVER_ID

    public static final java.lang.String ORDEREDLIST_DRIVER_ID

  Symbolic constant for reorderable list drivers.

### TABLE_DRIVER_ID

    public static final java.lang.String TABLE_DRIVER_ID

  Symbolic constant for table drivers.

### WINDOW_DRIVER_ID

    public static final java.lang.String WINDOW_DRIVER_ID

  Symbolic constant for window drivers.

### FRAME_DRIVER_ID

    public static final java.lang.String FRAME_DRIVER_ID

  Symbolic constant for window drivers.

### INTERNAL_FRAME_DRIVER_ID

    public static final java.lang.String INTERNAL_FRAME_DRIVER_ID

  Symbolic constant for window drivers.

### FOCUS_DRIVER_ID

    public static final java.lang.String FOCUS_DRIVER_ID

  Symbolic constant for frame drivers.

### MENU_DRIVER_ID

    public static final java.lang.String MENU_DRIVER_ID

  Symbolic constant for menu drivers.

Method Detail

### getDriver

    public static java.lang.Object getDriver(java.lang.String id,
                                             java.lang.Class operatorClass,
                                             JemmyProperties props)

  Searches a driver.
  Parameters:
    `id` - Driver type id.
    `operatorClass` - Class to get an driver for.
    `props` - Instance to get driver from.
  Returns:
    a driver.
  See Also:
    `setDriver(java.lang.String, java.lang.Object, java.lang.Class)`

### getDriver

    public static java.lang.Object getDriver(java.lang.String id,
                                             ComponentOperator operator)

  Searches a driver. Uses `operator.getProperties()` to receive JemmyProperties instance.
  Parameters:
    `id` - Driver type id.
    `operator` - Operator to get an driver for.
  Returns:
    a driver.
  See Also:
    `setDriver(java.lang.String, java.lang.Object, java.lang.Class)`

### getDriver

    public static java.lang.Object getDriver(java.lang.String id,
                                             java.lang.Class operatorClass)

  Searches a driver. Uses current JemmyProperties.
  Parameters:
    `id` - Driver type id.
    `operatorClass` - Class to get an driver for.
  Returns:
    a driver.
  See Also:
    `setDriver(java.lang.String, java.lang.Object, java.lang.Class)`

### setDriver

    public static void setDriver(java.lang.String id,
                                 java.lang.Object driver,
                                 java.lang.Class operatorClass)

  Sets driver for an operator class.
  Parameters:
    `id` - Driver type id.
    `driver` - A driver to be installed.
    `operatorClass` - Class to set driver for.
  See Also:
    `getDriver(java.lang.String, java.lang.Class, org.netbeans.jemmy.JemmyProperties)`

### setDriver

    public static void setDriver(java.lang.String id,
                                 java.lang.Object driver,
                                 java.lang.String operatorClassName)

  Sets driver for an operator class name.
  Parameters:
    `id` - Driver type id.
    `driver` - A driver to be installed.
    `operatorClassName` - A name of operator class.
  See Also:
    `getDriver(java.lang.String, java.lang.Class, org.netbeans.jemmy.JemmyProperties)`

### setDriver

    public static void setDriver(java.lang.String id,
                                 Driver driver)

  Sets driver for all classes supported by driver.
  Parameters:
    `id` - Driver type id.
    `driver` - A driver to be installed.
  See Also:
    `getDriver(java.lang.String, java.lang.Class, org.netbeans.jemmy.JemmyProperties)`

### setDriver

    public static void setDriver(java.lang.String id,
                                 LightDriver driver)

  Sets driver for all classes supported by driver.
  Parameters:
    `id` - Driver type id.
    `driver` - A driver to be installed.
  See Also:
    `getDriver(java.lang.String, java.lang.Class, org.netbeans.jemmy.JemmyProperties)`

### removeDriver

    public static void removeDriver(java.lang.String id,
                                    java.lang.Class operatorClass)

  Removes driver for operator class.
  Parameters:
    `id` - Driver type to remove.
    `operatorClass` - Class to remove driver for.

### removeDriver

    public static void removeDriver(java.lang.String id,
                                    java.lang.String operatorClassName)

  Removes driver for operator class.
  Parameters:
    `id` - Driver type to remove.
    `operatorClassName` - A name of operator class.

### removeDriver

    public static void removeDriver(java.lang.String id,
                                    java.lang.Class[] operatorClasses)

  Removes driver for operator classes.
  Parameters:
    `id` - Driver type to remove.
    `operatorClasses` - Classes to remove driver for.

### removeDriver

    public static void removeDriver(java.lang.String id,
                                    java.lang.String[] operatorClassNames)

  Removes driver for operator classes.
  Parameters:
    `id` - Driver type to remove.
    `operatorClassNames` - Names of operator classes.

### removeDrivers

    public static void removeDrivers(java.lang.String id)

  Removes driver for all supported classes.
  Parameters:
    `id` - Driver type to remove.

### getTreeDriver

    public static TreeDriver getTreeDriver(java.lang.Class operatorClass)

  Returns `TREE_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setTreeDriver(org.netbeans.jemmy.drivers.TreeDriver)`

### getTreeDriver

    public static TreeDriver getTreeDriver(ComponentOperator operator)

  Returns `TREE_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setTreeDriver(org.netbeans.jemmy.drivers.TreeDriver)`

### setTreeDriver

    public static void setTreeDriver(TreeDriver driver)

  Defines `TREE_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getTreeDriver(java.lang.Class)`

### getTextDriver

    public static TextDriver getTextDriver(java.lang.Class operatorClass)

  Returns `TEXT_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setTextDriver(org.netbeans.jemmy.drivers.TextDriver)`

### getTextDriver

    public static TextDriver getTextDriver(ComponentOperator operator)

  Returns `TEXT_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setTextDriver(org.netbeans.jemmy.drivers.TextDriver)`

### setTextDriver

    public static void setTextDriver(TextDriver driver)

  Defines `TEXT_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getTextDriver(java.lang.Class)`

### getKeyDriver

    public static KeyDriver getKeyDriver(java.lang.Class operatorClass)

  Returns `KEY_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setKeyDriver(org.netbeans.jemmy.drivers.KeyDriver)`

### getKeyDriver

    public static KeyDriver getKeyDriver(ComponentOperator operator)

  Returns `KEY_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setKeyDriver(org.netbeans.jemmy.drivers.KeyDriver)`

### setKeyDriver

    public static void setKeyDriver(KeyDriver driver)

  Defines `KEY_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getKeyDriver(java.lang.Class)`

### getMouseDriver

    public static MouseDriver getMouseDriver(java.lang.Class operatorClass)

  Returns `MOUSE_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setMouseDriver(org.netbeans.jemmy.drivers.MouseDriver)`

### getMouseDriver

    public static MouseDriver getMouseDriver(ComponentOperator operator)

  Returns `MOUSE_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setMouseDriver(org.netbeans.jemmy.drivers.MouseDriver)`

### setMouseDriver

    public static void setMouseDriver(MouseDriver driver)

  Defines `MOUSE_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getMouseDriver(java.lang.Class)`

### getScrollDriver

    public static ScrollDriver getScrollDriver(java.lang.Class operatorClass)

  Returns `SCROLL_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setScrollDriver(org.netbeans.jemmy.drivers.ScrollDriver)`

### getScrollDriver

    public static ScrollDriver getScrollDriver(ComponentOperator operator)

  Returns `SCROLL_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setScrollDriver(org.netbeans.jemmy.drivers.ScrollDriver)`

### setScrollDriver

    public static void setScrollDriver(ScrollDriver driver)

  Defines `SCROLL_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getScrollDriver(java.lang.Class)`

### getButtonDriver

    public static ButtonDriver getButtonDriver(java.lang.Class operatorClass)

  Returns `BUTTON_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setButtonDriver(org.netbeans.jemmy.drivers.ButtonDriver)`

### getButtonDriver

    public static ButtonDriver getButtonDriver(ComponentOperator operator)

  Returns `BUTTON_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setButtonDriver(org.netbeans.jemmy.drivers.ButtonDriver)`

### setButtonDriver

    public static void setButtonDriver(ButtonDriver driver)

  Defines `BUTTON_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getButtonDriver(java.lang.Class)`

### getListDriver

    public static ListDriver getListDriver(java.lang.Class operatorClass)

  Returns `LIST_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setListDriver(org.netbeans.jemmy.drivers.ListDriver)`

### getListDriver

    public static ListDriver getListDriver(ComponentOperator operator)

  Returns `LIST_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setListDriver(org.netbeans.jemmy.drivers.ListDriver)`

### setListDriver

    public static void setListDriver(ListDriver driver)

  Defines `LIST_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getListDriver(java.lang.Class)`

### getMultiSelListDriver

    public static MultiSelListDriver getMultiSelListDriver(java.lang.Class operatorClass)

  Returns `MULTISELLIST_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setMultiSelListDriver(org.netbeans.jemmy.drivers.MultiSelListDriver)`

### getMultiSelListDriver

    public static MultiSelListDriver getMultiSelListDriver(ComponentOperator operator)

  Returns `MULTISELLIST_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setMultiSelListDriver(org.netbeans.jemmy.drivers.MultiSelListDriver)`

### setMultiSelListDriver

    public static void setMultiSelListDriver(MultiSelListDriver driver)

  Defines `MULTISELLIST_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getMultiSelListDriver(java.lang.Class)`

### getOrderedListDriver

    public static OrderedListDriver getOrderedListDriver(java.lang.Class operatorClass)

  Returns `ORDEREDLIST_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setOrderedListDriver(org.netbeans.jemmy.drivers.OrderedListDriver)`

### getOrderedListDriver

    public static OrderedListDriver getOrderedListDriver(ComponentOperator operator)

  Returns `ORDEREDLIST_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setOrderedListDriver(org.netbeans.jemmy.drivers.OrderedListDriver)`

### setOrderedListDriver

    public static void setOrderedListDriver(OrderedListDriver driver)

  Defines `ORDEREDLIST_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getOrderedListDriver(java.lang.Class)`

### getTableDriver

    public static TableDriver getTableDriver(java.lang.Class operatorClass)

  Returns `TABLE_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setTableDriver(org.netbeans.jemmy.drivers.TableDriver)`

### getTableDriver

    public static TableDriver getTableDriver(ComponentOperator operator)

  Returns `TABLE_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setTableDriver(org.netbeans.jemmy.drivers.TableDriver)`

### setTableDriver

    public static void setTableDriver(TableDriver driver)

  Defines `TABLE_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getTableDriver(java.lang.Class)`

### getWindowDriver

    public static WindowDriver getWindowDriver(java.lang.Class operatorClass)

  Returns `WINDOW_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setWindowDriver(org.netbeans.jemmy.drivers.WindowDriver)`

### getWindowDriver

    public static WindowDriver getWindowDriver(ComponentOperator operator)

  Returns `WINDOW_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setWindowDriver(org.netbeans.jemmy.drivers.WindowDriver)`

### setWindowDriver

    public static void setWindowDriver(WindowDriver driver)

  Defines `WINDOW_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getWindowDriver(java.lang.Class)`

### getFrameDriver

    public static FrameDriver getFrameDriver(java.lang.Class operatorClass)

  Returns `FRAME_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setFrameDriver(org.netbeans.jemmy.drivers.FrameDriver)`

### getFrameDriver

    public static FrameDriver getFrameDriver(ComponentOperator operator)

  Returns `FRAME_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setFrameDriver(org.netbeans.jemmy.drivers.FrameDriver)`

### setFrameDriver

    public static void setFrameDriver(FrameDriver driver)

  Defines `FRAME_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getFrameDriver(java.lang.Class)`

### getInternalFrameDriver

    public static InternalFrameDriver getInternalFrameDriver(java.lang.Class operatorClass)

  Returns `INTERNAL_FRAME_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setInternalFrameDriver(org.netbeans.jemmy.drivers.InternalFrameDriver)`

### getInternalFrameDriver

    public static InternalFrameDriver getInternalFrameDriver(ComponentOperator operator)

  Returns `INTERNAL_FRAME_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setInternalFrameDriver(org.netbeans.jemmy.drivers.InternalFrameDriver)`

### setInternalFrameDriver

    public static void setInternalFrameDriver(InternalFrameDriver driver)

  Defines `INTERNAL_FRAME_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getInternalFrameDriver(java.lang.Class)`

### getFocusDriver

    public static FocusDriver getFocusDriver(java.lang.Class operatorClass)

  Returns `FOCUS_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setFocusDriver(org.netbeans.jemmy.drivers.FocusDriver)`

### getFocusDriver

    public static FocusDriver getFocusDriver(ComponentOperator operator)

  Returns `FOCUS_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setFocusDriver(org.netbeans.jemmy.drivers.FocusDriver)`

### setFocusDriver

    public static void setFocusDriver(FocusDriver driver)

  Defines `FOCUS_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getFocusDriver(java.lang.Class)`

### getMenuDriver

    public static MenuDriver getMenuDriver(java.lang.Class operatorClass)

  Returns `MENU_DRIVER_ID` driver.
  Parameters:
    `operatorClass` - Class to find driver for.
  Returns:
    a driver
  See Also:
    `setMenuDriver(org.netbeans.jemmy.drivers.MenuDriver)`

### getMenuDriver

    public static MenuDriver getMenuDriver(ComponentOperator operator)

  Returns `MENU_DRIVER_ID` driver.
  Parameters:
    `operator` - Operator to find driver for.
  Returns:
    a driver
  See Also:
    `setMenuDriver(org.netbeans.jemmy.drivers.MenuDriver)`

### setMenuDriver

    public static void setMenuDriver(MenuDriver driver)

  Defines `MENU_DRIVER_ID` driver.
  Parameters:
    `driver` - a driver
  See Also:
    `getMenuDriver(java.lang.Class)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD